ភីクセល
GET https://tistos.com/api/pixels/
curl --request GET \
--url 'https://tistos.com/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
| ប៉ារ៉ាម៉ែត្រ | ព័ត៌មានលម្អិត | សេចក្ដីពិពណ៌នា |
|---|---|---|
| search | ជ្រើសរើសបាន ខ្សែអក្សរ | ខ្សែអក្សរការស្វែងរក។ |
| search_by | ជ្រើសរើសបាន ខ្សែអក្សរ | តើអ្នកកំពុងស្វែងរកតាមវិស័យអ្វី។ តម្លៃដែលអនុញ្ញាតគឺ: name, pixel. |
| type | ជ្រើសរើសបាន ខ្សែអក្សរ | តម្លៃដែលអនុញ្ញាត: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| datetime_field | ជ្រើសរើសបាន ខ្សែអក្សរ | តម្លៃដែលអនុញ្ញាត: datetime, last_datetime |
| datetime_start | ជ្រើសរើសបាន ខ្សែអក្សរ | ត្រងលទ្ធផលចាប់ពីកាលបរិច្ឆេទ និងម៉ោងនេះ។ ទម្រង់ Y-m-d H:i:s។ |
| datetime_end | ជ្រើសរើសបាន ខ្សែអក្សរ | ត្រងលទ្ធផលរហូតដល់កាលបរិច្ឆេទ និងម៉ោងនេះ។ ទម្រង់ Y-m-d H:i:s។ |
| order_by | ជ្រើសរើសបាន ខ្សែអក្សរ | តើតំបន់ណាដែលត្រូវបញ្ជាទិញលទ្ធផលដោយ។ តម្លៃដែលអនុញ្ញាតគឺ: pixel_id, datetime, last_datetime, name។ |
| order_type | ជ្រើសរើសបាន ខ្សែអក្សរ | ការបញ្ជាទិញនៃលទ្ធផល។ តម្លៃដែលអនុញ្ញាតគឺ: ASC សម្រាប់ការបញ្ជាទិញកើនឡើង និង DESC សម្រាប់ការបញ្ជាទិញកើនចុះ។ |
| page | ជ្រើសរើសបាន លេខគត់ | លេខទំព័រដែលអ្នកចង់បានលទ្ធផល។ ត្រូវបានកំណត់លំនាំដើមទៅ 1។ |
| results_per_page | ជ្រើសរើសបាន លេខគត់ | តើអ្នកចង់បានលទ្ធផលប៉ុន្មានក្នុងមួយទំព័រ។ តម្លៃដែលអនុញ្ញាតគឺ: 10, 25, 50, 100, 250, 500, 1000។ តម្លៃលំនាំដើមគឺ 25។ |
{
"data": [
{
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-07-18 11:34:40",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/pixels?page=1",
"last": "https://tistos.com/api/pixels?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/pixels?page=1"
}
}
GET https://tistos.com/api/pixels/{pixel_id}
curl --request GET \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-07-18 11:34:40",
}
}
POST https://tistos.com/api/pixels
| ប៉ារ៉ាម៉ែត្រ | ព័ត៌មានលម្អិត | សេចក្ដីពិពណ៌នា |
|---|---|---|
| type | ត្រូវការពីរ ខ្សែអក្សរ | តម្លៃដែលអនុញ្ញាត: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | ត្រូវការពីរ ខ្សែអក្សរ | - |
| pixel | ត្រូវការពីរ ខ្សែអក្សរ | - |
curl --request POST \
--url 'https://tistos.com/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
--url 'https://tistos.com/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/pixels/{pixel_id}
| ប៉ារ៉ាម៉ែត្រ | ព័ត៌មានលម្អិត | សេចក្ដីពិពណ៌នា |
|---|---|---|
| type | ជ្រើសរើសបាន ខ្សែអក្សរ | តម្លៃដែលអនុញ្ញាត: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | ជ្រើសរើសបាន ខ្សែអក្សរ | - |
| pixel | ជ្រើសរើសបាន ខ្សែអក្សរ | - |
curl --request POST \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \